﻿/*      */
/* Cart */
/*      */

#cart {
    margin-top: 80px;
    margin-bottom: 80px;
    height: 600px;
}

#cart .content {
    margin-top: 80px;
}

#cart .empty .image {
    display: block;
    margin: auto;
    width: 40%;
}

#cart .empty .text {
    margin: auto;
    margin-top: 70px;
    width: fit-content;
    font-family: var(--f-family-1);
    font-size: 20px;
}

@media (max-width: 992px) {
    #cart .empty .image {
        width: 70%;
    }
}


/*       */
/* Title */
/*       */

#cart .title h1 {
    text-align: center;
    font-size: 36px;
}


/*      */
/* List */
/*      */

#cart .list {
    padding: 0;
}


/*       */
/* Table */
/*       */

#cart .table-container {
    overflow-x: auto;
    scrollbar-width: none;
}

#cart .table {
    margin: 0;
    min-width: 1000px;
}

#cart .table th {
    padding: 7px 12px;
    border: none;
    border-left: 2px solid white;
    font-weight: 400;
    font-size: 13px;
    color: var(--c-foreground-1);
    background: #f4f4f4;
}

#cart .table th:last-child {
    border: none;
}

#cart .table td {
    padding: 16px 12px;
    vertical-align: middle;
    border-bottom: 1px solid var(--c-border-1);
    font-family: var(--f-family-1);
    font-size: 13px;
    color: var(--c-foreground-2);
}

#cart .table td img {
    margin-left: 20px;
    width: 80px;
    border-radius: 5px;
}

#cart .table .stock {
    padding: 2px 6px;
    width: fit-content;
    border-radius: 4px;
    font-size: 11px;
}

#cart .table .stock.in {
    border: 1px solid #01c880;
    color: #01c880;
}

#cart .table .stock.out {
    border: 1px solid #ff2e2e;
    color: #ff2e2e;
}

#cart .table .action {
    display: inline-flex;
    width: 30px;
    height: 30px;
    justify-content: center;
    align-items: center;
    border: none;
    cursor: pointer;
    transition: background-color .3s;
    font-size: 14px;
    background: #f4f4f4;
}

#cart .table .action:hover {
    background: var(--c-background-3);
}


/*          */
/* Checkout */
/*          */

#cart .checkout {
    margin-top: 50px;
}

#cart .checkout .info {
    padding: 15px;
    border: 1px solid var(--c-border-1);
    border-radius: 5px;
}

#cart .checkout .label {
    font-family: var(--f-family-1);
    font-size: 13px;
    color: var(--c-foreground-2);
}

#cart .checkout .value {
    margin-top: 10px;
    font-family: var(--f-family-1);
    font-size: 20px;
}

#cart .checkout .currency {
    margin-right: 4px;
    font-size: 13px;
    color: var(--c-foreground-2);
}

#cart .checkout .action {
    display: block;
    padding: 11px 0 9px 0;
    width: 100%;
    border: none;
    border-radius: 5px;
    text-align: center;
    transition: filter .3s;
    font-family: var(--f-family-1);
    font-size: 16px;
    color: white;
    background: var(--c-theme-1);
}

#cart .checkout .action:hover {
    filter: brightness(1.05);
}